Battle Field Legit Serial -1 reply

Please wait...

Guest

I didn't make it!

0 XP

 
#1 13 years ago

Can i ask someone for a legit serial or am i wasting my time? do they not come this readily? When i go onto desert combat and connect to a game it says error, wrong version, do u want to upgrade. and ive got all the latest updates i jst asume its cuz i have a crap serial Can anyone help me out? or redirect me where to get help? Thanks heaps Ice




Big_Daddy

I follow teh Moo!

50 XP

5th August 2004

0 Uploads

698 Posts

0 Threads

#2 13 years ago

Did you buy the game legally in the first place?




apocalypse_kid

I would die without GF

50 XP

20th May 2002

0 Uploads

5,498 Posts

0 Threads

#3 13 years ago
Xx-Ice-xXCan i ask someone for a legit serial or am i wasting my time? do they not come this readily? When i go onto desert combat and connect to a game it says error, wrong version, do u want to upgrade. and ive got all the latest updates i jst asume its cuz i have a crap serial Can anyone help me out? or redirect me where to get help? Thanks heaps Ice

1) Don't ask for serials, your original legit key is fine.

2) Try updating your BF game to the latest version (1.61b) and make sure you have DC:Final installed, that should fix things, it's just a game version mismatch!

AK

:smokin:




[77]Twisted

TV Guide King =P

50 XP

8th December 2004

0 Uploads

185 Posts

0 Threads

#4 13 years ago

Besides, If some1 gave u their serial. If one of u were playing online at that time, the other wouldnt be allowed to play untill the person who started playing first went off a server. (ive tried to play online with my brother, we used the same CD key to install bf)




Spuddy

Slightly cooler than a n00b

50 XP

12th January 2005

0 Uploads

38 Posts

0 Threads

#5 13 years ago

Could be Punkbuster? Go to evenbalance.com, download pbweb.exe and place it in your PB folder then run it to update PB.




apocalypse_kid

I would die without GF

50 XP

20th May 2002

0 Uploads

5,498 Posts

0 Threads

#6 13 years ago
SpuddyCould be Punkbuster? Go to evenbalance.com, download pbweb.exe and place it in your PB folder then run it to update PB.

Definately not Punkbuster, it is a completely different message when Punkbuster doesn't update. Many ppl on the forums have had the same message as Xx-Ice-xX and they have all turned out to be running either an old version of BF or an old version of DC.

My advice is try the simplest things first, just update your BF and DC and make sure that the server you are trying to join is running the same versions as you.

AK

:smokin: